Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Modules/BehaviorControl/CommonXabsl2Symbols/GtCamSymbols.cpp File Reference

More...

`#include "GtCamSymbols.h"`

Include dependency graph for GtCamSymbols.cpp:

Go to the source code of this file.

## Defines
#define | GETROBOTXimpl(number, pnumber, color)
#define | REGISTERROBOTXimpl(number)
## Functions
| GETROBOTXimpl (1, 0, Player::red) GETROBOTXimpl(2
| Implementations for Player 1 - 8.
Player::red | GETROBOTXimpl (3, 2, Player::red) GETROBOTXimpl(4
Player::red Player::red | GETROBOTXimpl (5, 0, Player::blue) GETROBOTXimpl(6
Player::red Player::red Player::blue | GETROBOTXimpl (7, 2, Player::blue) GETROBOTXimpl(8

## Detailed Description

Author:
  Matthias Meyer

Definition in file GtCamSymbols.cpp.

## Define Documentation

#define GETROBOTXimpl | ( | number,
|  | pnumber,
|  | color |  | ) |

| Definition at line 12 of file GtCamSymbols.cpp.

#define REGISTERROBOTXimpl | ( | number |  | ) |

| Value:
    engine.registerDecimalInputSymbol("GTCam.Robot" #number ".x",this,\
        (double (Xabsl2FunctionProvider::*)())&GTCamSymbols::getRobot##number##PosX);\
      engine.registerDecimalInputSymbol("GTCam.Robot" #number ".y",this,\
        (double (Xabsl2FunctionProvider::*)())&GTCamSymbols::getRobot##number##PosY);\
      engine.registerDecimalInputSymbol("GTCam.Robot" #number ".speed.x",this,\
        (double (Xabsl2FunctionProvider::*)())&GTCamSymbols::getRobot##number##SpeedX);\
      engine.registerDecimalInputSymbol("GTCam.Robot" #number ".speed.y",this,\
        (double (Xabsl2FunctionProvider::*)())&GTCamSymbols::getRobot##number##SpeedY);\
      engine.registerDecimalInputSymbol("GTCam.Robot" #number ".rotation",this,\
        (double (Xabsl2FunctionProvider::*)())&GTCamSymbols::getRobot##number##Rotation);\
      engine.registerDecimalInputSymbol("GTCam.DistanceToRobot" #number ".abs",this,\
      (double (Xabsl2FunctionProvider::*)())&GTCamSymbols::getRobot##number##Distance );\
Definition at line 47 of file GtCamSymbols.cpp. Referenced by GTCamSymbols::registerSymbols().

## Function Documentation

GETROBOTXimpl | ( | 1 | ,
|  | 0 | ,
|  | Player::red |
| ) |

| Implementations for Player 1 - 8.

Player::red GETROBOTXimpl | ( | 3 | ,
|  | 2 | ,
|  | Player::red |
| ) |

Player::red Player::red GETROBOTXimpl | ( | 5 | ,
|  | 0 | ,
|  | Player::blue |
| ) |

Player::red Player::red Player::blue GETROBOTXimpl | ( | 7 | ,
|  | 2 | ,
|  | Player::blue |
| ) |